---
type: api
title: Find case comments
description: Retrieves a paginated list of comments for a case. You must have `read` privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on the owner of the cases with the comments you're seeking.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findcasecommentsdefaultspace
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findcasecommentsdefaultspace
products:
  - Kibana
---

# Find case comments

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/cases/{caseId}/comments/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `caseId` (string)
  The identifier for the case. To retrieve case IDs, use the search cases (`_find)` API. All non-ASCII characters must be URL encoded.

## Description

Retrieves a paginated list of comments for a case. You must have `read` privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on the owner of the cases with the comments you're seeking.

## Query String Parameters

- `page` (integer · default: 1)
  The page number to return.
- `perPage` (integer · max: 100 · default: 20)
  The number of items to return. Limited to 100 items.
- `sortOrder` (enum  · default: desc)
  Determines the sort order.
  Values: `asc`, `desc`

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `comments` ([] object)
  Paginated list of user comments for the case.
  - `comment` (string)
  - `created_at` (string)
  - `created_by` ({})
    - `email` (string) — nullable
    - `full_name` (string) — nullable
    - `profile_uid` (string)
    - `username` (string) — nullable
  - `id` (string)
  - `owner` (enum)
    The application that owns the cases: Stack Management, Observability, or Elastic Security.
    Values: `cases`, `observability`, `securitySolution`
  - `pushed_at` (string) — nullable
  - `pushed_by` ({}) — nullable
    - `email` (string) — nullable
    - `full_name` (string) — nullable
    - `profile_uid` (string)
    - `username` (string) — nullable
  - `type` (enum)
    Values: `user`
  - `updated_at` (string) — nullable
  - `updated_by` ({}) — nullable
    - `email` (string) — nullable
    - `full_name` (string) — nullable
    - `profile_uid` (string)
    - `username` (string) — nullable
  - `version` (string)
- `page` (integer)
  The current page index.
- `per_page` (integer)
  The number of items per page.
- `total` (integer)
  The total number of comments.
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
## Code Examples

#### Console

```console
GET /api/cases/{caseId}/comments/_find
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/cases/{caseId}/comments/_find"
```

## Response Examples

#### Paginated list of user comments for a case

```json
{
  "comments": [
    {
      "comment": "A new comment",
      "created_at": "2023-10-07T19:32:13.104Z",
      "created_by": {
        "email": "null",
        "full_name": "null",
        "profile_uid": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0",
        "username": "elastic"
      },
      "id": "8048b460-fe2b-11ec-b15d-779a7c8bbcc3",
      "owner": "cases",
      "pushed_at": "null",
      "pushed_by": "null",
      "type": "user",
      "updated_at": "null",
      "updated_by": "null",
      "version": "WzIzLDFd"
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Authorization information is missing or invalid.

```json
{
  "error": "Unauthorized",
  "message": "Unable to authenticate with the provided credentials.",
  "statusCode": 401
}
```

